## Description

With this model, you can classify emotions in English text data. The model was trained on diverse datasets and predicts 7 emotions:

1) anger
2) disgust
3) fear
4) joy
5) neutral
6) sadness
7) surprise

The model is a fine-tuned checkpoint of DistilRoBERTa-base.

## Application

a) Run emotion model with 3 lines of code on single text example using Hugging Face's pipeline command on Google Colab:

[![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/j-hartmann/emotion-english-distilroberta-base/blob/main/simple_emotion_pipeline.ipynb)

b) Run emotion model on multiple examples and full datasets (e.g., .csv files) on Google Colab:

[![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/j-hartmann/emotion-english-distilroberta-base/blob/main/emotion_prediction_example.ipynb)

## Contact

Please reach out to jochen.hartmann@uni-hamburg.de if you have any questions or feedback.

Thanks to S.D. and chrsiebert for their support in making this model available.